/* Table of constant values */

static int c_n1 = -1;

int main(void)
{
    /* Initialized data */
    static float f[50] = { .025f,.215f,.405f,.595f,.785f,.975f,1.f,.92f,.71f,
            .5f,.29f,.08f,0.f,.08f,.29f,.5f,.71f,.92f,1.f,.975f,.785f,.595f,
            .405f,.215f,.025f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,
            0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f };

    /* Builtin functions */
    double exp(double);
    int pow_ii(int *, int *);

    /* Local variables */
    static float alfa;
    extern int ev01r_c(float *, float *, int *, int *,
                       float *, float *, float *, float *, float *, int *);
    static int ierr;
    static float work[1325], g[100], h__;
    static int i__, j;
    static float k[50];
    static int l, n;
    static float r__[50], s, u[50];
    static int n1;
    static float pi, rab;
    int i__1, i__2;

    n = 50;
    alfa = 1e-8f;
    h__ = .02f;
    pi = 3.14159265f;
    n1 = n - 1;
    i__1 = n;
    for (i__ = 1; i__ <= i__1; ++i__) {
        g[n + i__ - 1] = 0.f;
        s = (float)exp((float)(-(pi * pi * i__ * h__ / 8)));
        for (j = 1; j <= 15; ++j) {
/* Computing 2nd power */
            i__2 = (j << 1) + 1;
            rab = (float)exp((float)(-(i__2 * i__2) * pi * pi * i__ * h__ / 8));
/* L12: */
            s += pow_ii(&c_n1, &j) * ((j << 1) + 1) * rab;
        }
/* L11: */
        r__[i__ - 1] = pi * .5f * s;
    }
    k[0] = r__[0] * h__ / 2;
    k[n - 1] = r__[n - 1] * h__ / 2;
    i__1 = n1;
    for (i__ = 2; i__ <= i__1; ++i__) {
/* L13: */
        k[i__ - 1] = r__[i__ - 1] * h__;
    }
    i__1 = n;
    for (i__ = 1; i__ <= i__1; ++i__) {
        s = 0.f;
        i__2 = i__;
        for (j = 1; j <= i__2; ++j) {
/* L15: */
            s += f[j - 1] * k[i__ - j];
        }
/* L14: */
        g[i__ - 1] = s;
    }
    l = 1;
    ev01r_c(r__, g, &n, &l, &alfa, &h__, &work[n], work, u, &ierr);

    i__1 = n;
    for (i__ = 1; i__ <= 21; i__ += 20) {
         printf("\n %16.7e %16.7e %16.7e %16.7e ",
                 u[i__-1], u[i__+4], u[i__+9], u[i__+14]);
    }
    printf("\n %16.7e %16.7e \n",u[40], u[45]);
    printf("\n %16.7e \n",alfa);
    return 0;
} /* main */
